GuidesAPI Reference
Guides

Response enrichment with navigation attributes

By using the request parameter showNavAttributes, developers can enhance specific response items with navigation attributes.

The following table lists currently supported values for showNavAttributes:

showNavAttributes valueendpointsmaturity privilegeDescription
functionalClass/geocode, /revgeocode, /multi-revgeocode, /lookupGAFor resultType=houseNumber or resultType=street result item, returns the value that describes the functional class of the road where the result access position is located.
For more details, see the API Reference.
access/geocode, /revgeocode, /multi-revgeocode, /lookupGAFor resultType=houseNumber or resultType=street result item, returns the values that describe the allowed vehicle types of the road where the result access postion is located.
For more details, see the API Reference.
physical/geocode, /revgeocode, /multi-revgeocode, /lookupGAFor resultType=houseNumber or resultType=street result item, returns the values that describe the special physical characteristics of the road where the result access position is located.
For more details, see the API Reference.
speedLimits/geocode, /revgeocode, /multi-revgeocode, /lookupGAFor resultType=houseNumber or resultType=street result item, returns the speed limits and travel directions of the road where the result access position is located.
For more details, see the API Reference.
Note:
For information about the pricing of the speed limits feature, see the HERE Base Plan Pricing. If you have questions about pricing, contact us.

Example of a /revgeocode endpoint response with showNavAttributes=functionalClass,access,phyical,speedLimits:

GET https://revgeocode.search.hereapi.com/v1/
    revgeocode
    ?at=37.7702656,-122.4213821
    &showNavAttributes=functionalClass,access,physical,speedLimits
    &apiKey={YOUR_API_KEY}
{
  "items": [
      {
          "title": "Central Fwy, San Francisco, CA 94103, United States",
          "id": "here:af:streetsection:-A9JAiubJC1FVMNNWl3OJB",
          "resultType": "street",
          "address": {
              "label": "Central Fwy, San Francisco, CA 94103, United States",
              "countryCode": "USA",
              "countryName": "United States",
              "stateCode": "CA",
              "state": "California",
              "county": "San Francisco",
              "city": "San Francisco",
              "district": "Soma",
              "street": "Central Fwy",
              "postalCode": "94103"
          },
          "position": {"lat": 37.77026, "lng": -122.42138},
          "distance": 1,
          "mapView": {...},
          "navigationAttributes": {
              "speedLimits": [
                  {
                      "maxSpeed": 50,
                      "direction": "NW",
                      "speedUnit": "mph",
                      "source": "posted"
                  }
              ],
              "functionalClass": [
                  {
                      "value": "3"
                  }
              ],
              "access": [
                  {
                      "automobiles": true,
                      "bicycles": false,
                      "buses": true,
                      "carpools": true,
                      "deliveries": true,
                      "emergencyVehicles": true,
                      "motorcycles": true,
                      "pedestrians": false,
                      "taxis": true,
                      "throughTraffic": true,
                      "trucks": true
                  }
              ],
              "physical": [
                  {
                      "boatFerry": false,
                      "bridge": true,
                      "deliveryRoad": false,
                      "movableBridge": false,
                      "multiplyDigitized": true,
                      "paved": true,
                      "private": false,
                      "railFerry": false,
                      "tunnel": false
                  }
              ]
          }
      }
  ]
}
📘

Note

The feature is not currently supported in Japan.